import { Event } from '@theia/core';
import { MonacoEditorModel, WillSaveMonacoModelEvent } from '@theia/monaco/lib/browser/monaco-editor-model';
import { MonacoTextModelService } from '@theia/monaco/lib/browser/monaco-text-model-service';
import { MonacoWorkspace } from '@theia/monaco/lib/browser/monaco-workspace';
import URI from '@theia/core/lib/common/uri';
import { Reference } from '@theia/core/lib/common/reference';
export declare class EditorModelService {
    private monacoModelService;
    private modelModeChangedEmitter;
    private onModelRemovedEmitter;
    private modelDirtyEmitter;
    private modelSavedEmitter;
    private onModelWillSavedEmitter;
    readonly onModelDirtyChanged: Event<MonacoEditorModel>;
    readonly onModelSaved: Event<MonacoEditorModel>;
    readonly onModelModeChanged: Event<{
        model: MonacoEditorModel;
        oldModeId: string;
    }>;
    readonly onModelRemoved: Event<MonacoEditorModel>;
    readonly onModelWillSave: Event<WillSaveMonacoModelEvent>;
    constructor(monacoModelService: MonacoTextModelService, monacoWorkspace: MonacoWorkspace);
    private modelCreated;
    get onModelAdded(): Event<MonacoEditorModel>;
    getModels(): MonacoEditorModel[];
    saveAll(includeUntitled?: boolean): Promise<boolean>;
    createModelReference(uri: URI): Promise<Reference<MonacoEditorModel>>;
}
//# sourceMappingURL=text-editor-model-service.d.ts.map